<!doctype html>
<html lang="en">

<head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
        integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">


    <title>hide my mail</title>
</head>

<body>
    <div class="container">
        <h1>hide my mail</h1>

        <div class="form-group">
            <label for="emailInput">emailInput</label>
            <input type="email" class="form-control" id="emailInput">
        </div>
        <button id="generate" type="button" class="btn btn-primary">generate</button>
        <hr>

        <div class="container">
                <div class="row">
                    <div class="col-sm">
                            <h2>Test1</h2>
                            <br>
                            <br>
                            <button type="button" class="btn btn-primary showMail" value="cG9zdDFAdGVzdC5jb20=">Vis E-post</button>
                            <hr>
                            <br>
                            <br>
                            <button type="button" class="btn btn-primary showPhone" value="KzQ3IDk5IDg4IDc3IDU1">Vis Telefon</button>                
                        </div>
                  <div class="col-sm">
                      <h2>Test2</h2>
                        <br>
                        <br>
                        <button type="button" class="btn btn-primary showMail" value="cG9zdDJAdGVzdC5jb20=">Vis E-post</button>
                        <hr>
                        <br>
                        <br>
                        <button type="button" class="btn btn-primary showPhone" value="KzQ3OTk4ODc3NjY=">Vis Telefon</button>
                
                  </div>


                </div>
              </div>

    </div>
        <!-- Optional JavaScript -->
        <!-- jQuery first, then Popper.js, then Bootstrap JS -->
        <script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
        <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
    <script>


        $(".showPhone").click(function () {
            var encodedPhone = $(this).val();
            console.log("encodedPhone = " + encodedPhone);

            var phone = decodeStringToEmail(encodedPhone)
            console.log("phone = " + phone);

            var phoneToHtml = "<a href='tel:" + phone + "'>" + phone + "</a>";

            $(this).replaceWith(phoneToHtml);

        });



        $(".showMail").click(function () {
            var encodedEmail = $(this).val();
            console.log("encodeEmail = " + encodedEmail);
            var thisClass = ".mail-" + encodedEmail;

            var email = decodeStringToEmail(encodedEmail)
            console.log("email = " + email);

            var mailToHtml = "<a href='mailto:" + email + "'>" + email + "</a>";

            $(this).replaceWith(mailToHtml);

        });


        $("#generate").click(function () {
            var email = $("#emailInput").val()
            console.log("email = " + email);

            var encodedEmail = encodeEmail(email)
            console.log("encodeEmail = " + encodedEmail);

            var email = decodeStringToEmail(encodedEmail)
            console.log("email = " + email);

        });



        function encodeEmail(email) {
            var encodedEmail = btoa(email);
            return encodedEmail;
        }

        function decodeStringToEmail(encodedEmail) {
            var email = atob(encodedEmail);
            return email;
        }


    </script>

</body>

</html>